# llm

Requires Python 3.10 and a redis server.
Check Dockerfile for more details.

Check sample.env for environment variables.

- Get model weights here:
    - https://huggingface.co/TheBloke/Llama-2-13B-chat-GGML/resolve/main/llama-2-13b-chat.ggmlv3.q4_0.bin
    - https://huggingface.co/TheBloke/Mistral-7B-Instruct-v0.1-GGUF/resolve/main/mistral-7b-instruct-v0.1.Q4_K_M.gguf

- Install llama-cpp-python. You need to install GPU version to be able to use your GPU. Check the repo for more details:
    https://github.com/abetlen/llama-cpp-python
```
CMAKE_ARGS="-DLLAMA_CUBLAS=on" FORCE_CMAKE=1 pip install llama-cpp-python  --force-reinstall --upgrade --no-cache-dir

To fire up multiple instances
- install pm2
- run: `pm2 start server.py`
- run: `pm2 start server.py -f`
```
